# Generated from quizgame-0.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name quizgame

Name: rubygem-%{gem_name}
Version: 0.0.4
Release: 1%{?dist}
Summary: Framework for game with quiz format
License: MIT
URL: http://github.com/ippei94da/quizgame
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(jeweler) >= 1.8.3
# BuildRequires: rubygem(jeweler) < 1.9
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(builtinextension) >= 0.1.0
# BuildRequires: rubygem(weightedpicker) >= 0.1.0
BuildArch: noarch

%description
This gem privide framework for quiz game. This gem can be used for spaced
repetition study. The more frequently mistaken problems are given more
frequently.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/quizgame
%{gem_instdir}/CHANGES
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_instdir}/bin
%{gem_instdir}/example
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/quizgame.gemspec
%{gem_instdir}/test

%changelog
* Wed Apr 20 2022 mockbuilder - 0.0.4-1
- Initial package
